/* ========================== Rose Class ======================== */
/* Please Don't Type Here :)  */
:root {
    --roseLight: #e1e5ea;
    --roseWhite: #f5f5f9;
    --roseGray: #98a6ae;
    --roseLightDanger: #ffeff1;
    --roseDanger: #f12b45;
    --successColor: #e1f9d4;
    --roseSuccess: #2ecc71;
    --roseDarkSuccess: #348154;
    --roseDarkGray: #6e838d;
    --linkHoverColor: #f0f7ff;
    --linkColor: #76bcfd;
    --infoColor: #e7f3fd;
    --infoDarkColor: #5c9fdd;
    --infoBorderColor: #657686;
    --dangerColor: #ffe8eb;
    --dangerDarkColor: #d44d64;
    --dangerBorderColor: #f7a2b0;
    --roseYellow:#f8bd02;
    --roseBlack:#232323;
    --roseLynch:#7f7f7f;
    --roseLightYellow:#ffe607;
    --roseLiteLink:#76bcfd;
}
/* Animation */
@keyframes roseGradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}
/* Animation */
.roseLamp{
    transition: all .3s ease;
    text-shadow: 0 0 1.75rem #f8bd02, 0 0 1.75rem #f8bd02;
}

.roseLampContainer:hover .roseLamp{
    font-weight: bold !important;
    text-shadow: unset;
    transition: all .3s ease;
}

.roseLandingPartContainer {
    height: 100vh;
}

.roseLampContainer img {
    width: 7rem;
    height: 7rem;
}
.roseLandingPartTitle {
    font-size: 2rem;
}

.roseLandingQuote {
    font-size: 2rem;
}
.font-85-res{
    font-size: .85rem;
}
.font-75{
    font-size: .75rem;
}
.font-md-1{
    font-size: 1rem;
}
@media only screen and (min-width: 768px) {

    .font-md-title{
        font-size: 2.5rem;
    }

    .font-md-2{
        font-size:2rem;
    }
    .font-md-1-75{
        font-size:1.75rem;
    }
    .font-md-1-5{
        font-size:1.5rem;
    }
    .font-md-1-25 {
        font-size:1.25rem;
    }
    .font-md-1{
        font-size: 1rem;
    }
    .font-md-0-95{
        font-size:.95rem;
    }
    .font-md-0-85{
        font-size: .85rem;
    }
    .font-md-0-75{
        font-size: .75rem;
    }
}
@media  (max-width: 768px) {
    .font-1-5{
        font-size:1.5rem;
    }
    .font-1-25{
        font-size:1.25rem;
    }
    .font-1{
        font-size:1rem;
    }
    .font-0-95 {
        font-size:.95rem;
    }
    .font-0-85{
        font-size:.85rem;
    }
    .font-0-75{
        font-size: .75rem;
    }
    .font-0-70{
        font-size: .70rem;
    }
}
.background-attachment {
    background-attachment: fixed !important;
}
@media (max-width: 768px) {
    .roseLandingPartTitle {
        font-size: 1.75rem;
    }
    .roseLandingQuote {
        font-size: 1.25rem;
    }
    .roseLampContainer {
        border-bottom: 1px solid var(--roseYellow,#f8bd02) !important;
    }
    .roseLampContainer img {
        width: 5rem;
        height: 5rem;
    }
    .roseLandingPartContainer {
        height: unset;
        background-attachment: scroll !important;
    }
    .background-attachment {
        background-attachment: scroll !important;
    }
}
@media only screen and (min-width:992px) {

    .font-lg-title{
        font-size: 2.5rem;
    }

    .font-lg-2{
        font-size:2rem;
    }
    .font-lg-1-75{
        font-size:1.75rem;
    }
    .font-lg-1-5{
        font-size:1.5rem;
    }
    .font-lg-1-25 {
        font-size:1.25rem;
    }
    .font-lg-1{
        font-size: 1rem;
    }
    .font-lg-0-95{
        font-size:.95rem;
    }
    .font-lg-0-85{
        font-size: .85rem;
    }
    .font-lg-0-75{
        font-size: .75rem;
    }
}
.roseDarkTranslate{
    background-color: rgba(39,50,114,0.7);
}
.roseLandingGlassImageHover{
    top: 100%;
    position: absolute;
    transition: all .5s ease;
    background-color: transparent;
    height: 100vh;
}
.roseLandingGlassImageHoverContainer{
    position: relative;
    transition: all .5s ease;
    overflow: hidden;
    height: 100vh;
    border-left: 1px solid white;
}
@media (max-width: 768px) {
    .roseLandingGlassImageHoverContainer{
        height: 50vh;
        border-bottom: 1px solid white;
    }
    .roseLandingGlassImageHover{
        height: 50vh;
    }
}
.roseLandingGlassImageHoverContainer:hover .roseLandingGlassImageHover{
    top: 0;

}
.roseLandingGlassImageHoverContainer:hover {
    top: 0;
    background-color: rgba(0,0,0,0.85);
}
.roseLandingGlassImageHoverContent{
    transition: all .5s ease;
}
.roseLandingGlassImageHoverContainer:hover .roseLandingGlassImageHoverContent{
    transform: translateY(-100%);
    transition: all .5s ease;
}
.roseWhiteBtn{
    background-color: #f5f5f9;
    box-shadow: 0;
    border: 1px solid var(--roseLight,#e1e5ea);
}
.roseWhiteBtnContainer:hover{
    box-shadow: 0 1px 10px 1px rgba(0, 0, 0, 0.1);
    background-color: white;
    border: 1px solid var(--roseLight,#e1e5ea);
}
.roseShadowYellow{
    box-shadow: 0;
}
.roseShadowYellowContainer:hover{
    box-shadow: 0px 1px 5px 3px rgba(248, 189, 2, 0.1),
    0px 1px 5px 1px rgba(248, 189, 2, 0.2);
}
/* Rose Switch */
.roseSwitch {
    position: relative;
    display: inline-block;
    width: 3.75rem;
    height: 1.75rem;
}
.roseSwitch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.roseSlider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #f5f5f9;
    border: 1px solid #d4d8db;
    -webkit-transition: .4s;
    transition: .4s;
}

.roseSlider:before {
    position: absolute;
    content: "";
    height: 1.125rem;
    width: 1.125rem;
    left: .25rem;
    bottom: .25rem;
    /* background-color: #d4d8db; */
    background-color: white;
    box-shadow: 0 0 2px 1px rgba(0,0,0,0.2);
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.roseSlider {
    background-color: #52acff;
    border: none;
}


input:checked+.roseSlider:before {
    height: 1.25rem;
    width: 1.25rem;
    background-color: white;
    -webkit-transform: translateX(2rem);
    -ms-transform: translateX(2rem);
    transform: translateX(2rem);
    box-shadow: 0 0 2px 1px rgba(0,0,0,0.2);
}

.roseSlider.round {
    border-radius: 2.125rem;
}

.roseSlider.round:before {
    border-radius: 50%;
}

/* Rose Switch Small */
.roseSwitchSmall {
    position: relative;
    display: inline-block;
    width: 2.5rem;
    height: 1.25rem;
}
.roseSwitchSmall input {
    opacity: 0;
    width: 0;
    height: 0;
}

.roseSliderSmall {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #f5f5f9;
    border: 1px solid #d4d8db;
    -webkit-transition: .4s;
    transition: .4s;
}

.roseSliderSmall:before {
    position: absolute;
    content: "";
    height: .8rem;
    width: .8rem;
    left: .25rem;
    bottom: .2rem;
    /* background-color: #d4d8db; */
    background-color: white;
    box-shadow: 0 0 2px 1px rgba(0,0,0,0.2);
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.roseSliderSmall {
    background-color: #52acff;
    border: none;
}


input:checked+.roseSliderSmall:before {
    height: .8rem;
    width: .8rem;
    border-radius: 50%;
    background-color: white;
    -webkit-transform: translateX(1.125rem);
    -ms-transform: translateX(1.125rem);
    transform: translateX(1.125rem);
    box-shadow: 0 0 2px 1px rgba(0,0,0,0.2);
}

.roseSliderSmall.round {
    border-radius: 2.5rem;
}

.roseSliderSmall.round:before {
    border-radius: 50%;
    height: .8rem;
    width: .8rem;
}

/* LandingPage */
.logo-landing {
    font-size: 4.5rem;
}
.logo-landing-small {
    font-size: 2rem;
}
.title-landing {
    font-size: 4.5rem;
}
.title-landing-small {
    font-size: 3.5rem;
}
.part-landing {
    font-size: 1.75rem;
}
.font-title{
    font-size:2rem;
}
@media only screen and (max-width: 768px) {
    .logo-landing {
        font-size: 3rem;
    }
    .logo-landing-small {
        font-size: 1rem;
    }
    .title-landing {
        font-size: 2rem;
    }
    .title-landing-small {
        font-size: 2rem;
    }
    .part-landing {
        font-size: 5vw;
    }
    .font-title{
        font-size: 7vw;
    }
}
/* Box Shadow Link */
.boxShadow-1 {
    transition: all .2s ease;
    box-shadow: 0px 6px 11px 0px rgba(168, 204, 238, 0.04),
    0px 12px 22px 0px rgba(118, 188, 253, 0.08);
}

.boxShadow-0-5 {
    transition: all .2s ease;
    box-shadow: 0px 6px 7px 0px rgba(168, 204, 238, 0.02),
    0px 12px 22px 0px rgba(118, 188, 253, 0.04);
}

.boxShadow-line-0-25 {
    transition: all .2s ease;
    box-shadow: 0px 1px 5px 3px rgba(122, 142, 160, 0.1),
    0px 1px 5px 1px rgba(118, 188, 253, 0.2);
}

.boxShadow-line-0-25 {
    transition: all .2s ease;
    box-shadow: 0px 1px 5px 3px rgba(122, 142, 160, 0.1),
    0px 1px 5px 1px rgba(118, 188, 253, 0.2);
}

@media only screen and (min-width: 768px) {
    .boxShadow-md-1 {
        transition: all .2s ease;
        box-shadow: 0px 6px 11px 0px rgba(168, 204, 238, 0.04),
        0px 12px 22px 0px rgba(118, 188, 253, 0.08);
    }

    .boxShadow-md-0-5 {
        transition: all .2s ease;
        box-shadow: 0px 6px 7px 0px rgba(168, 204, 238, 0.02),
        0px 12px 22px 0px rgba(118, 188, 253, 0.04);
    }

    .boxShadow-md-line-0-25 {
        transition: all .2s ease;
        box-shadow: 0px 1px 5px 3px rgba(122, 142, 160, 0.1),
        0px 1px 5px 1px rgba(118, 188, 253, 0.2);
    }
    .boxShadow-md-line-0-25 {
        box-shadow: 0px 1px 5px 3px rgba(122, 142, 160, 0.1),
        0px 1px 5px 1px rgba(118, 188, 253, 0.2);
    }
}

@media only screen and (max-width: 768px) {
    .boxShadow-xs-1 {
        transition: all .2s ease;
        box-shadow: 0px 6px 11px 0px rgba(168, 204, 238, 0.04),
        0px 12px 22px 0px rgba(118, 188, 253, 0.08);
    }

    .boxShadow-xs-0-5 {
        transition: all .2s ease;
        box-shadow: 0px 6px 7px 0px rgba(168, 204, 238, 0.02),
        0px 12px 22px 0px rgba(118, 188, 253, 0.04);
    }

    .boxShadow-xs-line-0-25 {
        transition: all .2s ease;
        box-shadow: 0px 1px 5px 3px rgba(122, 142, 160, 0.1),
        0px 1px 5px 1px rgba(118, 188, 253, 0.2);
    }
    .boxShadow-xs-line-0-25 {
        box-shadow: 0px 1px 5px 3px rgba(122, 142, 160, 0.1),
        0px 1px 5px 1px rgba(118, 188, 253, 0.2);
    }
}


/* Box Shadow Danger */
.boxShadow-1.roseDanger {
    transition: all .2s ease;
    box-shadow: 0px 6px 11px 0px rgba(238, 168, 168, 0.04),
    0px 12px 22px 0px rgba(253, 118, 118, 0.08);
}

.boxShadow-0-5.roseDanger {
    transition: all .2s ease;
    box-shadow: 0px 6px 7px 0px rgba(238, 168, 168, 0.02),
    0px 12px 22px 0px rgba(253, 118, 118, 0.04);
}

.boxShadow-line-0-25.roseDanger {
    transition: all .2s ease;
    box-shadow: 0px 1px 5px 3px rgba(160, 122, 122, 0.1),
    0px 1px 5px 1px rgba(253, 118, 118, 0.2);
}

@media only screen and (min-width: 768px) {
    .boxShadow-md-line-0-25.roseDanger{
        box-shadow: 0px 1px 5px 3px rgba(160, 122, 122, 0.1),
        0px 1px 5px 1px rgba(253, 118, 118, 0.2);
    }
}
/* Box Shadow Yellow */
.boxShadow-1.roseYellow,
.boxShadow-1.t-roseYellow {
    transition: all .2s ease;
    box-shadow: 0px 6px 11px 0px rgba(248, 189, 2, 0.04),
    0px 12px 22px 0px rgba(248, 189, 2, 0.08);
}

.boxShadow-0-5.roseYellow,
.boxShadow-0-5.t-roseYellow {
    transition: all .2s ease;
    box-shadow: 0px 6px 7px 0px rgba(248, 189, 2, 0.02),
    0px 12px 22px 0px rgba(248, 189, 2, 0.04);
}

.boxShadow-line-0-25.roseYellow,
.boxShadow-line-0-25.t-roseYellow{
    transition: all .2s ease;
    box-shadow: 0px 1px 5px 3px rgba(248, 189, 2, 0.1),
    0px 1px 5px 1px rgba(248, 189, 2, 0.2);
}

@media only screen and (min-width: 768px) {
    .boxShadow-md-line-0-25.roseYellow,
    .boxShadow-md-line-0-25.t-roseYellow {
        box-shadow: 0px 1px 5px 3px rgba(248, 189, 2, 0.1),
        0px 1px 5px 1px rgba(248, 189, 2, 0.2);
    }
}
/* Rose Border */
.roseBorder {
    border: 1px solid var(--roseLight,#e1e5ea);
}
.roseBorder-t {
    border: none;
    border-top: 1px solid var(--roseLight,#e1e5ea) !important;
}
.roseBorder-b {
    border: none;
    border-bottom: 1px solid var(--roseLight,#e1e5ea) !important;
}
.roseBorder-l {
    border: none;
    border-left: 1px solid var(--roseLight,#e1e5ea) !important;
}
.roseBorder-r {
    border: none;
    border-right: 1px solid var(--roseLight,#e1e5ea) !important;
}
.roseBorderNone{
    border: none !important;
}
/* Rose Border Success */
.roseSuccessBorder {
    border: 1px solid var(--roseSuccess,#2ecc71);
}
.roseSuccessBorder-t {
    border: none;
    border-top: 1px solid var(--roseSuccess,#2ecc71) !important;
}
.roseSuccessBorder-b {
    border: none;
    border-bottom: 1px solid var(--roseSuccess,#2ecc71) !important;
}
.roseSuccessBorder-l {
    border: none;
    border-left: 1px solid var(--roseSuccess,#2ecc71) !important;
}
.roseSuccessBorder-r {
    border: none;
    border-right: 1px solid var(--roseSuccess,#2ecc71) !important;
}
/* Rose Border Dark Gray */
.roseDarkGrayBorder {
    border: 1px solid var(--roseDarkGray,#6e838d);
}
.roseDarkGrayBorder-t {
    border: none;
    border-top: 1px solid var(--roseDarkGray,#6e838d) !important;
}
.roseDarkGrayBorder-b {
    border: none;
    border-bottom: 1px solid var(--roseDarkGray,#6e838d) !important;
}
.roseDarkGrayBorder-l {
    border: none;
    border-left: 1px solid var(--roseDarkGray,#6e838d) !important;
}
.roseDarkGrayBorder-r {
    border: none;
    border-right: 1px solid var(--roseDarkGray,#6e838d) !important;
}
/* Rose Border Success */
.roseDangerBorder {
    border: 1px solid var(--roseDanger,#f12b45);
}
.roseDangerBorder-t {
    border: none;
    border-top: 1px solid var(--roseDanger,#f12b45) !important;
}
.roseDangerBorder-b {
    border: none;
    border-bottom: 1px solid var(--roseDanger,#f12b45) !important;
}
.roseDangerBorder-l {
    border: none;
    border-left: 1px solid var(--roseDanger,#f12b45) !important;
}
.roseDangerBorder-r {
    border: none;
    border-right: 1px solid var(--roseDanger,#f12b45) !important;
}
/* Link Border */
.roseLinkBorder {
    border: 1px solid var(--linkColor,#76bcfd);
}
.roseLinkBorder-t {
    border: none;
    border-top: 3px solid var(--linkColor,#76bcfd) !important;
}
.roseLinkBorder-b {
    border: none;
    border-bottom: 3px solid var(--linkColor,#76bcfd) !important;
}
.roseLinkBorder-l {
    border: none;
    border-left: 3px solid var(--linkColor,#76bcfd) !important;
}
.roseLinkBorder-r {
    border: none;
    border-right: 3px solid var(--linkColor,#76bcfd) !important;
}
/* Link Border */

.roseLinkBorder-shadow{
    border: 1px solid var(--linkColor,#76bcfd);
    box-shadow: 0px 1px 5px 3px rgb(231 243 253), 0px 1px 5px 1px rgb(92 169 230);
}

.roseYellowBorder-shadow{
    border: 1px solid var(--roseYellow,#f8bd02);
    box-shadow: 0px 1px 5px 3px rgba(248, 189, 2, 0.1), 0 0 7px 0 rgba(248, 189, 2, 0.2);
}
.roseYellowBorder-t {
    border: none;
    border-top: 3px solid var(--roseYellow,#f8bd02) !important;
}
.roseYellowBorder-b {
    border: none;
    border-bottom: 3px solid var(--roseYellow,#f8bd02) !important;
}
.roseYellowBorder-l {
    border: none;
    border-left: 3px solid var(--roseYellow,#f8bd02) !important;
}
.roseYellowBorder-r {
    border: none;
    border-right: 3px solid var(--roseYellow,#f8bd02) !important;
}
/* Dashed Border */
.roseBorderDashed {
    border: 1px dashed var(--roseLight,#e1e5ea);
}
.roseBorderDashed-t {
    border: none;
    border-top: 1px dashed var(--roseLight,#e1e5ea) !important;
}
.roseBorderDashed-b {
    border: none;
    border-bottom: 1px dashed var(--roseLight,#e1e5ea) !important;
}
.roseBorderDashed-l {
    border: none;
    border-left: 1px dashed var(--roseLight,#e1e5ea) !important;
}
.roseBorderDashed-r {
    border: none;
    border-right: 1px dashed var(--roseLight,#e1e5ea) !important;
}

/* Info Border Button */
.roseInfoButton{
    border: 1px solid #47d6f7 !important;
    color: #47d6f7 !important;
    background: white;
}

/* Yellow Border */
.roseYellowBorder {
    border: 1px solid var(--roseYellow,#f8bd02);
}
.roseBorderYellow-t {
    border: none;
    border-top: 1px solid var(--roseYellow,#f8bd02) !important;
}
.roseBorderYellow-b {
    border: none;
    border-bottom: 1px solid var(--roseYellow,#f8bd02) !important;
}
.roseBorderYellow-l {
    border: none;
    border-left: 1px solid var(--roseYellow,#f8bd02) !important;
}
.roseBorderYellow-r {
    border: none;
    border-right: 1px solid var(--roseYellow,#f8bd02) !important;
}

@media screen and (min-width: 768px) {
    .roseBorderDashedMD {
        border: 1px dashed var(--roseLight,#e1e5ea);
    }
    .roseBorderDashedMD-t {
        border: none;
        border-top: 1px dashed var(--roseLight,#e1e5ea) !important;
    }
    .roseBorderDashedMD-b {
        border: none;
        border-bottom: 1px dashed var(--roseLight,#e1e5ea) !important;
    }
    .roseBorderDashedMD-l {
        border: none;
        border-left: 1px dashed var(--roseLight,#e1e5ea) !important;
    }
    .roseBorderDashedMD-r {
        border: none;
        border-right: 1px dashed var(--roseLight,#e1e5ea) !important;
    }
}
.roseBorderDanger{
    border:1px solid #f12b45;
}

@media screen and (min-width: 768px) {
    .roseBorderMD {
        border: 1px solid var(--roseLight,#e1e5ea);
    }
    .roseBorderMD-t {
        border: none;
        border-top: 1px solid var(--roseLight,#e1e5ea) !important;
    }
    .roseBorderMD-b {
        border: none;
        border-bottom: 1px solid var(--roseLight,#e1e5ea) !important;
    }
    .roseBorderMD-l {
        border: none;
        border-left: 1px solid var(--roseLight,#e1e5ea) !important;
    }
    .roseBorderMD-r {
        border: none;
        border-right: 1px solid var(--roseLight,#e1e5ea) !important;
    }
}

/*rose border bottom
 */
.roseLinkBorderBottom{
    border-bottom: 2px solid var(--linkColor,#76bcfd) !important;
}

/* remove rose lastchild border */
.removeRoseLastChildBorder-b > *:last-child {
    border-bottom: none !important;
}


@media screen and (min-width: 768px) {
    .removeRoseLastChildBorderMD-b > *:last-child {
        border-bottom: none !important;
    }

}

.roseFormInput,
.roseFormInput:focus {
    outline: none !important;
    line-height: 2rem;
    color: var(--roseDarkGray,#6e838d);
}

@media only screen and (max-width: 768px) {
    .roseFormInput,
    .roseFormInput:focus {
        outline: none !important;
        line-height: 1.5rem;
        color: var(--roseDarkGray,#6e838d);
    }

}

.roseFormInput::placeholder  {
    color: #c6c6c6;
}

.roseGray:link,
.roseGray:focus,
.roseGray {
    background:  var(--roseGray,#98a6ae) !important;
}

.t-roseGray:link,
.t-roseGray:focus,
.t-roseGray {
    color:  var(--roseGray,#98a6ae) !important;
}
/* hover */

.t-roseGray.roseHover:link:hover,
.t-roseGray.roseHover:focus:hover,
.t-roseGray.roseHover:hover {
    color:  var(--roseDarkGray,#6e838d) !important;
}

.roseDarkGray:link,
.roseDarkGray:focus,
.roseDarkGray {
    background:  var(--roseDarkGray,#6e838d) !important;
}
.t-roseDarkGray:link,
.t-roseDarkGray:focus,
.t-roseDarkGray {
    color:  var(--roseDarkGray,#6e838d) !important;
}

.roseLight:link,
.roseLight:focus,
.roseLight {
    background: var(--roseLight,#e1e5ea) !important;
}

.t-roseLight:link,
.t-roseLight:focus,
.t-roseLight {
    color: var(--roseLight,#e1e5ea) !important;
}
.roseYellow:link,
.roseYellow:focus,
.roseYellow {
    background: var(--roseYellow,#f8bd02) !important;
}
.roseLightYellow:link,
.roseLightYellow:focus,
.roseLightYellow {
    background: var(--roseLightYellow,#ffe607) !important;
}
.roseLiteLink:link,
.roseLiteLink:focus,
.roseLiteLink{
    background: var(--roseLiteLink,#76bcfd) !important;
}
.roseLynch:link,
.roseLynch:focus,
.roseLynch{
    background: var(--roseLynch,#7f7f7f) !important;
}

.t-roseBlack:link,
.t-roseBlack:focus,
.t-roseBlack {
    color: var(--roseBlack,#232323) !important;
}
.t-roseYellow:link,
.t-roseYellow:focus,
.t-roseYellow {
    color: var(--roseYellow,#f8bd02) !important;
}
.t-roseLightYellow:link,
.t-roseLightYellow:focus,
.t-roseLightYellow {
    color: var(--roseLightYellow,#ffe607) !important;
}
.t-roseLynch:link,
.t-roseLynch:focus,
.t-roseLynch {
    color: var(--roseLynch,#7f7f7f) !important;
}
/* RoseWhite*/
.roseWhite:link,
.roseWhite:focus,
.roseWhite {
    background: var(--roseWhite,#f5f5f9) !important;
}

.t-roseWhite:link,
.t-roseWhite:focus,
.t-roseWhite {
    color: var(--roseWhite,#f5f5f9) !important;
}
/* RoseSuccess */
.roseSuccess:link,
.roseSuccess:focus,
.roseSuccess {
    background: var(--roseSuccess,#2ecc71) !important;
}

.t-roseSuccess:link,
.t-roseSuccess:focus,
.t-roseSuccess {
    color: var(--roseSuccess,#2ecc71) !important;
}
/* RoseLightDanger */
.roseLightDanger:link,
.roseLightDanger:focus,
.roseLightDanger {
    background: var(--roseLightDanger,#ffeff1) !important;
}

.roseLightDangerHover:link,
.roseLightDangerHover:focus,
.roseLightDangerHover {
    background: white !important;
    transition: all .25s ease;
}

.roseLightDangerHover:link:hover,
.roseLightDangerHover:focus:hover,
.roseLightDangerHover:hover {
    transition: all .25s ease;
    background: var(--roseLightDanger,#ffeff1) !important;
}

.roseDanger:link,
.roseDanger:focus,
.roseDanger {
    background: var(--roseDanger,#f12b45) !important;
}

.t-roseDanger:link,
.t-roseDanger:focus,
.t-roseDanger {
    color: var(--roseDanger,#f12b45) !important;
}

/* RoseLink */
.roseLink:link,
.roseLink:focus,
.roseLink {
    background: var(--linkColor,#76bcfd) !important;
}

.roseLinkHover:link,
.roseLinkHover:focus,
.roseLinkHover {
    background: white !important;
    transition: all .25s ease;
}

.roseLinkHover:link:hover,
.roseLinkHover:focus:hover,
.roseLinkHover:hover {
    transition: all .25s ease;
    background: var(--linkHoverColor,#f0f7ff) !important;
}

.roseLinkInvert,
.roseLinkInvert:focus,
.roseLinkInvert:link {
    border: 1px solid var(--linkColor,#76bcfd);
    color: var(--linkColor,#76bcfd) !important;
    background: white;
    transition: all .25s ease;
}

.roseLinkInvert:hover:link,
.roseLinkInvert:hover:focus,
.roseLinkInvert:hover {
    background: var(--linkColor,#76bcfd);
    color: white !important;
    transition: all .25s ease;
}

.roseLinkInvert.roseFill:link,
.roseLinkInvert.roseFill:focus,
.roseLinkInvert.roseFill {
    background: var(--linkColor,#76bcfd);
    color: white !important;
    transition: all .25s ease;
}

.t-roseLink:link,
.t-roseLink:focus,
.t-roseLink {
    color: var(--linkColor,#76bcfd) !important;
}

.t-roseWhite.roseLink.boxShadow-line-0-25:hover {
    transition: all .2s ease;
    box-shadow: none !important;
}

.roseHeaderIcon {
    width: 150px;
}
@media only screen and (max-width: 768px) {
    .roseHeaderIcon {
        width: 100px;
    }
}

.roseBlueGradient{
    background: linear-gradient(30deg,#438dc9c7,#1312c994,#925ee4,#4fd3f1,#d287fbf5);
    background-size: 400% 400%;
    animation: roseGradient 10s ease infinite;
}

.roseYellowGradiendt{
    background: linear-gradient(30deg,#5d616538,#7e7e7aba,#f1eef5,#f8bd02,#f8bd02);
    background-size: 400% 400%;
    animation: roseGradient 10s ease infinite;
}
.roseYellowMellowGradiendt{
    background: linear-gradient(30deg, #A9A9A9BA, #ccedff, #fffef8, #FDF6D3FF, #FFE391FF);
    background-size: 400% 400%;
    animation: roseGradient 4s ease infinite;
}
.roseOrangeGradiendt{
    background: linear-gradient(30deg, rgba(255, 114, 0, 0.91), rgba(238, 135, 0, 0.88), #dca40e, #d29701,#f8bd02);
    background-size: 400% 400%;
    animation: roseGradient 3s ease-in-out infinite;
}
.roseMenuGradiendt{
    background: linear-gradient(30deg,#b58ff1c4,#b4b0f1a6,#02f8bf9e,#b58ff1ab);
    background-size: 400% 400%;
    animation: roseGradient 10s ease infinite;
}
.roseHelpIcon {
    width: 2rem;
    height: 2rem;
}

@media only screen and (max-width: 768px) {
    .roseHelpIcon {
        width: 1.5rem;
        height : 1.5rem;
    }
}


/* Rose Title */
.roseTitle {
    font-size: 2rem;
}

@media only screen and (max-width: 768px) {
    .roseTitle {
        font-size: 6vw;
    }
}
/* Rose Button */
.roseBtn {
    font-size: 1rem;
}
.roseBtnCircle {
    border-width: 2px;
    width: 2.5rem;
    height: 2.5rem;
    min-width: 2.5rem;
    min-height: 2.5rem;
}

@media only screen and (max-width: 768px) {
    .roseBtn {
        font-size: .75rem;
    }
    .roseBtnCircle {
        border-width: 1px;
        width: 2.25rem;
        height: 2.25rem;
        min-width: 2.25rem;
        min-height: 2.25rem;
    }
}

/* Rose Button Icon */
.roseButtonIcon {
    width: 1.75rem !important;
    height: 1.75rem !important;
}

@media only screen and (max-width: 768px) {
    .roseButtonIcon {
        padding: 0 !important;
        width: 1.5rem !important;
        height: 1.5rem !important;
    }
}

.roseAlert {
    padding: 1rem;
    border-radius: .75rem;
}

.alertDanger {
    background-color: var(--dangerColor,#ffe8eb);
    color: var(--dangerDarkColor,#d44d64);
}
.alertInfo {
    background-color: var(--infoColor,#e7f3fd);
    color: var(--infoDarkColor,#5c9fdd);
}
.alertSuccess {
    background-color: var(--successColor,#e7f3fd);
    color: var(--roseSuccess,#5c9fdd);
}

#profileContent .profileContentItem:last-child {
    border-bottom: none !important;
}

#messagesContent::-webkit-scrollbar {
    display: none;
}
.roseRemoveScrollbar::-webkit-scrollbar {
    display: none;
}

/* Width */
@media only screen and (min-width: 768px) {
    .roseFitContentMD {
        width: fit-content;
        width: -moz-fit-content;
        width: -webkit-fit-content;
    }
}

/* Profile Tab */
.roseProfileTab.inactive {
    color: var(--roseGray, #98a6ae) !important;
    cursor: default;
}
.roseProfileTab:hover {
    background: var(--roseWhite,#f5f5f9) !important;
}
@media only screen and (max-width: 768px) {
    .roseProfileTab {
        display: flex;
        align-items: center;
        padding: .5rem;
    }
    .roseProfileTabIcon {
        margin: 0 0 0 .25rem;
        width: 1.5rem;
        height: 1.5rem;
    }
    .roseProfileTabTitle {
        font-size: .75rem;
        white-space: nowrap;
        text-align: right;
    }
}

/* Scale */
@media only screen and (min-width: 768px) {
    .roseScale-md-1-1 {
        transform: scale(1.1);
    }
}

/* Rounded */
.roseRounded-0-5 {
    border-radius: .5rem;
}

/* Image */
.roseImageLanding {
    height: 250px;
}

@media (max-width: 768px) {
    .roseImageLanding {
        height: unset;
        width: 280px;
    }
}

/* User Card */
@media only screen and (min-width: 768px) {
    .roseUserCard .roseUserCardAvatar {
        width: 60px;
        height: 60px;
        border: 3px solid white;
        left: 50%;
        position: absolute;
        transform:translate(-50%, -50%);
    }
    .roseUserCard .roseUserCardUsername {
        margin: 2.125rem 0 0;
    }
}
@media only screen and (max-width: 768px) {
    .roseUserCard .roseUserCardAvatar {
        width: 40px;
        height: 40px;
    }
    .roseUserCard .roseUserCardUsername {
        font-size: 1rem;
    }
}

.roseRibbonWrap {
    width: 100%;
    height: 188px;
    position: absolute;
    top: -14px;
    left: 14px;
    overflow: hidden;
}
.roseRibbonWrap:before, .roseRibbonWrap:after {
    content: "";
    position: absolute;
}
.roseRibbonWrap:before {
    width: 40px;
    height: 8px;
    right: 100px;
    background: var(--dangerDarkColor, #d44d64);
    border-radius: 8px 8px 0px 0px;
}
.roseRibbonWrap:after {
    width: 8px;
    height: 40px;
    right: 0px;
    top: 100px;
    background: var(--dangerDarkColor, #d44d64);
    border-radius: 0px 8px 8px 0px;
}
.roseRibbon {

    width: 200px;
    height: 40px;
    line-height: 40px;
    position: absolute;
    top: 30px;
    right: -50px;
    z-index: 2;
    overflow: hidden;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    border: 1px dashed;
    box-shadow:0 0 0 3px var(--roseDanger, #f12b45),  0px 21px 5px -18px rgba(0,0,0,0.6);
    background: var(--roseDanger, #f12b45);
    color: white;
    text-align: center;
}

.tenderRoseRibbon {
    width: 200px;
    height: 40px;
    line-height: 40px;
    position: absolute;
    top: 30px;
    right: -50px;
    z-index: 2;
    overflow: hidden;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    border: 1px dashed;
    box-shadow:0 0 0 3px var(--roseDanger, #f12b45),  0px 21px 5px -18px rgba(0,0,0,0.6);
    background: var(--roseDanger, #f12b45);
    color: white;
    text-align: center;
}

.tenderRoseRibbonWrap {
    width: 50%;
    height: 188px;
    position: absolute;
    top: -9px;
    right: -8px;
    overflow: hidden;
}
.tenderRoseRibbonWrap:before, .tenderRoseRibbonWrap:after {
    content: "";
    position: absolute;
}
.tenderRoseRibbonWrap:before {
    width: 40px;
    height: 8px;
    right: 100px;
    background: var(--dangerDarkColor, #d44d64);
    border-radius: 8px 8px 0px 0px;
}
.tenderRoseRibbonWrap:after {
    width: 8px;
    height: 40px;
    right: 0px;
    top: 100px;
    background: var(--dangerDarkColor, #d44d64);
    border-radius: 0px 8px 8px 0px;
}


.roseRibbonTop {
    position: absolute;
    background: var(--roseSuccess, #2ecc71);
    top: -8px;
    left: 1rem;
    z-index: 998;
    border-top-right-radius: .5rem;
}
.roseRibbonTop:before {
    content: "";
    position: absolute;
    width: .5rem;
    height: .5rem;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    background: var(--roseDarkSuccess, #348154);
    top: 0;
    left: -8px;
    z-index: 997;
}
.roseRibbonTop:after {
    content: "";
    position: absolute;
    height: 1rem;
    bottom: -1rem;
    left: 0;
    right: 0;
    border-left: 2.35rem solid var(--roseSuccess, #2ecc71);
    border-right: 2.35rem solid var(--roseSuccess, #2ecc71);
    border-top: 1rem solid var(--roseSuccess, #2ecc71);
    border-bottom: .75rem solid transparent;
}
.roseRibbonTop span:before {
    content: "";
    position: absolute;
    width: .5rem;
    height: .5rem;
    background: var(--roseSuccess, #2ecc71);
    top: 0;
    left: -4px;
    z-index: 996;
}

@media only screen and (max-width: 768px) {
    .roseRibbonWrap {
        width: 100%;
        height: 188px;
        position: absolute;
        top: -8px;
        left: 8px;
        overflow: hidden;
    }
    .roseRibbonWrap:before, .roseRibbonWrap:after {
        content: "";
        position: absolute;
    }
    .roseRibbonWrap:before {
        width: 20px;
        height: 4px;
        right: 40px;
        border-radius: 4px 4px 0px 0px;
    }
    .roseRibbonWrap:after {
        width: 4px;
        height: 20px;
        right: 0px;
        top: 40px;
        border-radius: 0px 4px 4px 0px;
    }
    .roseRibbon {
        justify-content: start;
        padding-right: 1rem;
        font-size: .5rem !important;
        width: 210px;
        height: 10px;
        line-height: 10px;
        position: absolute;
        top: -20px;
        right: -40px;
        z-index: 100;
        overflow: hidden;
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
        border: none;
    }
}

@media only screen and (max-width: 768px) {
    .tenderRoseRibbonWrap {
        width: 50%;
        height: 188px;
        position: absolute;
        top: -5px;
        right: -5px;
        overflow: hidden;
    }
    .tenderRoseRibbonWrap:before, .tenderRoseRibbonWrap:after {
        content: "";
        position: absolute;
    }
    .tenderRoseRibbonWrap:before {
        width: 20px;
        height: 4px;
        right: 116px;
        border-radius: 4px 4px 0px 0px;
    }
    .tenderRoseRibbonWrap:after {
        width: 4px;
        height: 20px;
        right: 0px;
        top: 116px;
        border-radius: 0px 4px 4px 0px;
    }
    .roseRibbon {
        justify-content: start;
        padding-right: 1rem;
        font-size: .5rem !important;
        width: 210px;
        height: 10px;
        line-height: 10px;
        position: absolute;
        top: -20px;
        left: -40px;
        z-index: 100;
        overflow: hidden;
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
        border: none;
    }
}
.userProfileHeaderBanner {
    position: relative;
}
.userProfileHeaderBanner::before {
    background-image: url("/assets/newTemplate/img/money-rain-background.png");
    content: "";
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    position: absolute;
    opacity: 0.2;
    z-index: 0;
}

.roseSwapMenu {
    height: 70vh;
}

@media (max-width: 768px) {
    .roseSwapMenu {
        position: fixed;
        bottom: 3.25rem;
        left: 0;
        right: 0;
        height: 3rem;
        z-index: 9999;
    }
}

.roseRemoveScrollbar::-webkit-scrollbar {
    display: none;
}

.roseMainMarginTop {
    padding-bottom: 8rem !important;
    margin-top:0;
}
/* Timeline */
ul.timeline {
    list-style-type: none;
    position: relative;
}
ul.timeline:before {
    content: ' ';
    background: #d4d9df;
    display: inline-block;
    position: absolute;
    right: 29px;
    width: 2px;
    height: 100%;
    z-index: 400;
}
ul.timeline > li {
    margin: 20px 0;
    padding-right: 20px;
    padding-bottom: 10px;
    border-bottom:1px dashed #23c0e8;
}
ul.timeline > li:before {
    content: ' ';
    background: white;
    display: inline-block;
    position: absolute;
    border-radius: 50%;
    border: 3px solid #22c0e8;
    right: 20px;
    width: 20px;
    height: 20px;
    z-index: 400;
}
/* Messenger */
/* @media (min-width: 768px) { */
.roseMessenger {
    position: fixed;
    bottom: 0;
    right: 10rem;
    width: 20rem;
    z-index: 999;
}
.roseMessenger .roseMessengerHeader {
    background-color: #3b3b3b;
    border-top: 1px solid white;
    border-left: 1px solid white;
    border-right: 1px solid white;
}
.roseMessenger .roseMessengerInput {
    resize: none;
}
.roseMessenger .messengerContent {
    height: 30rem !important;
}

.fullMessenger {
    z-index: 5;
    box-shadow: 0 0 1.5rem rgba(0, 0, 0, 0.1);
    border-radius: 0.8rem;
    overflow: hidden;
    margin-bottom: 2rem;
    height: 80vh !important;
    width: 100%;
}
.fullMessenger .roseMessengerInput {
    resize: none;
}
.fullMessengerContent {
    width: 100%;
    height: 80vh !important;
}
#fullMessengerConversations {
    width: 22rem !important;
    height: 80vh !important;
}

div[id^=userMessage] img {
    max-width: 100%;
}

div[id^=userMessage] a:link,
div[id^=userMessage] a:focus,
div[id^=userMessage] a{
    color: var(--linkColor,#76bcfd) !important;
}
/* } */

@media (max-width: 768px) {
    .fullMessenger {
        display: none;
    }

    .roseMessenger {
        position: fixed;
        bottom: 55px;
        right: 0;
        left: 0;
        width: 100%;
        z-index: 9999;
    }
    .roseMessenger.activeMessenger {
        height: calc(100vh -  55px);
    }

    .roseMessenger .roseMessengerInput {
        resize: none;
    }
    .roseMessenger .messengerContent {
        height: calc(100vh - 105px) !important;
    }
}


/* Messenger */

/* Landing Page */
.roseLandingCircleImageContainer {
    min-width: 15rem;
    max-width: 15rem;
    min-height: 15rem;
    max-height: 15rem;
    transition: all .3s ease;
    z-index: 9;
    transition: all .2s ease;
    box-shadow: 0px 1px 5px 3px rgba(122, 142, 160, 0.1);
}
.roseLandingCircleImage {
    min-width: 13rem;
    max-width: 13rem;
    min-height: 13rem;
    max-height: 13rem;
    transition: all .3s ease;
    z-index: 9;
}
.roseLandingCircleImage:hover {
    transform: scale(1.1);
    transition: all .3s ease;
}
.roseLandingCardContainer {
    cursor: pointer;
    transition: all .3s ease;
}


.roseTextCardContainer {
    min-width:17;
    max-width:17rem;
    min-height:17rem;
    max-height: 17rem;
    transition: all .3s ease;
    z-index: 9;
}
.roseTextCard {
    min-width:15rem;
    max-width: 15rem;
    min-height:15rem;
    max-height:15rem;
    transition: all .3s ease;
    z-index: 9;
}
.roseTextCard:hover {
    transform: scale(1.1);
    transition: all .3s ease;
}
.roseTextCard {
    cursor: pointer;
    transition: all .3s ease;
}

.shadow-left {
    padding-right: 4rem !important;
    margin-right: -3.5rem !important;
    border-radius: .75rem 0 0 .75rem;
}

.shadow-right {
    padding-left: 4rem !important;
    margin-left: -3.5rem !important;
    border-radius: 0 .75rem .75rem 0;
}

.roseLandingCardContainer:hover {
    transition: all .3s ease;
}
.roseLandingCardContainer:hover h3, .roseLandingCardContainer:hover span {
    transform: scale(1.01);
    transition: all .3s ease;
}
.roseLandingCardContainer h3, .roseLandingCardContainer span {
    transition: all .3s ease;
}
@media (max-width: 768px) {
    .roseLandingCircleImageContainer {
        min-width: 12rem;
        max-width: 12rem;
        min-height: 12rem;
        max-height: 12rem;
    }
    .roseLandingCircleImage {
        min-width: 10rem;
        max-width: 10rem;
        min-height: 10rem;
        max-height: 10rem;
    }
    .shadow-left {
        padding-right: 3rem !important;
    }

    .shadow-right {
        padding-left: 3rem !important;
    }
}

.socialNetworkUserCard {
    min-width: calc((100% - 40px) / 5);
    max-width: calc((100% - 40px) / 5);
}

@media (max-width: 768px) {
    .socialNetworkUserCard {
        min-width: calc(100% - 8px);
        max-width: calc(100% - 8px);
    }
}

.socialNetworkUserCardImage {
    min-width: 75px;
    min-width: 75px;
    max-height: 75px;
    max-height: 75px;
}

@media (max-width: 768px) {
    .socialNetworkUserCardImage {
        min-width: 50px;
        max-width: 50px;
        min-height: 50px;
        max-height: 50px;
    }
}

.socialNetworkUserCardItem {
    max-width: 100%;
}

@media (max-width: 768px) {
    .socialNetworkUserCardItem {
        max-width: 95%;
    }
}

.userPostContent {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.userPostImage {
    max-height: 100%;
    max-width: 22vw;
    margin-left: 1rem;
}

.userPostText {
    width: 100%;
    display: flex;
    align-items: center;
}

@media (max-width: 768px) {
    .userPostImage {
        max-height: 60vh;
        max-width: 100%;
        margin-left: 0;
    }
}

#postPage{
    width: 75%;
}

@media (max-width: 768px) {
    #postPage{
        width: 100%;
        padding: 1rem;
    }
}

#profileContent {
    border: 1px solid var(--roseLight,#e1e5ea);
}

#posts{
    padding: 0.75rem;
    padding-bottom: 0;
}

@media (max-width: 768px) {
    #posts{
        padding: 0;
    }

    #profileContent {
        border: none !important;
    }
}

.index-posts-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: start;
}
.index-posts-sides {
    width: 25% !important;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
}
.index-posts-main {
    width: 50% !important;
    min-height: 100vh;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    display: flex;
    flex-direction: column;
}

@media (max-width: 768px) {
    .index-posts-container {
        flex-direction: column;
    }
    .index-posts-sides {
        width: 100% !important;
        justify-content: center;
    }
    .index-posts-main {
        width: 100% !important;
        padding: 0.6rem;
        margin-left: 0;
        margin-right: 0;
    }
    .spaced-for-bottom-nav {
        margin-bottom: 3rem;
    }
}

.shortcutLink {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0.5rem;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem;
    background-color: white;
    border-radius: 0.75rem;
    font-weight: bold;
    font-size: 0.95rem;
    text-align: center;
}

.shortcutLink .mediumIcon {
    margin:0 0 .25rem 1rem;
}

.mediumIcon {
    width: 2rem;
    height: 2rem;
}
.shortcutLink .shortcutTitle{
    text-align:right;
    font-size: .8rem;
}

@media (max-width: 768px) {
    .mediumIcon {
        height: 1.5rem;
        width: auto;
    }

    .shortcutLink {
        width: auto;
        padding: 0.25rem 0.5rem;
        flex-direction: row;
    }

    .shortcutLink .mediumIcon {
        margin-bottom: 0 !important;
        margin-left: 0.25rem !important;
    }
    .shortcutLink .shortcutTitle{
        position: absolute;
        width: max-content;
        left: 0px;
        border-radius: .75rem !important;
        background: white;
        z-index: 10;
        padding: .5rem!important;
        box-shadow: #666 0 0 5px;
        direction: ltr;
    }
}

.filterShowPost-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-top: 0.75rem;
}
.selectShowPostFilter-title {
    display: none;
}
.selectShowPostFilter.selected .selectShowPostFilter-title {
    display: inline;
}

@media (max-width: 768px) {
    .filterShowPost-container{
        flex-direction: column;
    }
}
.roseflip-box {
    background-color: transparent;
    width: 100px;
    height: 100px;
    border-radius:50px;
    perspective: 1000px;
    margin-right: 15px;
    margin-top: 10px;
    margin-bottom: 30px;

}

.roseflip-box-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.roseflip-box:hover .roseflip-box-inner {
    transform: rotateX(180deg);
}

.roseflip-box-front, .roseflip-box-back {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius:50px;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

.roseflip-box-front {
    background-color: white;
    color: black;
}

.roseflip-box-back {
    background-color: #f3f3f3;
    color: black;
    transform: rotateX(180deg);
    text-align: center;
    padding: 8px;
}
.roseinfo-btn{
    padding: 0 5px;
    background-color: white;
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}
.roseinfo-btn:hover{
    text-decoration: none;
    background-color:#4dc3ff ;
    color: white;
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
    transition: all 0.5s ease-in-out;
}
.roseinfo-btn span{
    color:#4dc3ff ;
}
.roseinfo-btn:hover span{
    color:white ;
}
.rosebox{
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
    border-radius: 1rem !important;
    width: 160px;
    height: 150px;
    padding: 5px;
    margin: 35px 8px 8px 8px;
    border:1px solid #e7e7e7;
}
.rossponsorsbox{
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
    border-radius: 1rem !important;
    min-width: 280px;
    height: 62px;
    padding: 5px;
    margin: 45px 8px 8px 8px;
    border: 1px solid #e7e7e7;

}
.rosebox:hover{
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}
.roseheader{
    width: 300px;
    transform: translate(-2rem,-1.5rem);
    margin-bottom: -10px;
    background-color: white;
    color: black;
    border:1px solid #e7e7e7;
    box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23);
}
.rosemainshadow{
    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
}
.rosecardimg{
    width: 120px;
    height: 100px;
    margin-left: auto;
    margin-right: auto;
    transform: translateY(-2.5rem);
    border-radius: 1rem;
    border:1px solid #e7e7e7;
    background-color: white;
}
.rosesponserimg{
    width: 80px;
    height: 80px;
    margin-left: auto;
    transform: translateY(-3.5rem);
    border-radius: 4rem;
    border: 1px solid #e7e7e7;
    background-color: white;
    text-align: center;
    padding: 8px;
}
.roseboot{
    float: left;
    width: 7rem;
    text-align: center;
    border-bottom-left-radius: 1rem;
    border-top-right-radius: 1rem;
    background-color: #f8bd02;
    transform:translate(-.55rem,-1.38rem);
    font-size: .6rem;
}
@media screen and (max-width:767px){
    .roselogo{
        width: 100%;
    }
}
@media screen and (max-width:414px){
    .roseheader{
        transform: translate(-.5rem,-1.5rem);
    }
}
@media screen and (max-width:375px){
    .roseheader{
        transform: translate(-1rem,-1.5rem);
        width: 250px;
    }
    .rossponsorsbox{
        min-width: 250px;
    }
}

.newCommentParent{
    padding-bottom: 1rem;
    margin: 0 4rem;
}

@media (max-width: 768px) {
    .newCommentParent{
        margin: 0.5rem;
    }
}